use_frameworks!

def includeCommonPods
  pod 'SwiftKeychainWrapper', '~> 3.0'
  pod 'Gloss', '~> 2.0'
  pod 'Alamofire', '~> 4.6'
  pod 'PromiseKit', '~> 6.0'
  pod 'Nuke', '~> 8.0'
  pod 'SVProgressHUD'
  pod 'SwipeableTabBarController'
  
  pod "PubNub", "~> 4.0"
  pod 'SnapSDK', :subspecs => ['SCSDKCreativeKit']
  pod 'Fabric'
  pod 'Crashlytics'

  pod 'SwiftLint'
  pod 'pop', '~> 1.0'
end

target 'Friendsta' do
  platform :ios, '11.0'

  includeCommonPods
end

target 'FriendstaStaging' do
  platform :ios, '11.0'

  includeCommonPods
end

target 'FriendstaTests' do
  platform :ios, '11.0'

  inherit! :search_paths
end

target 'FriendstaUITests' do
  platform :ios, '11.0'

  inherit! :search_paths
end

target 'Network' do
  platform :ios, '11.0'

  pod 'PromiseKit', '~> 6.0'
  pod 'Alamofire', '~> 4.6'
  pod 'SwiftKeychainWrapper', '~> 3.0'
end

target 'FriendstaStagingShareExtension' do
  platform :ios, '11.0'

  pod 'PromiseKit', '~> 6.0'
  pod 'SwiftKeychainWrapper', '~> 3.0'
  pod 'SVProgressHUD'
end

target 'FriendstaShareExtension' do
  platform :ios, '11.0'

  pod 'PromiseKit', '~> 6.0'
  pod 'SwiftKeychainWrapper', '~> 3.0'
  pod 'SVProgressHUD'
end

target 'Tools' do
  platform :ios, '11.0'

  pod 'SwiftLinkPreview', '~> 3.0.1'
  pod 'Nuke', '~> 8.0'
end